%define rel 2
%define libversion 0.5

Name:           libinfinity
Version:        0.5.4
Release:        %mkrel %{rel}
Summary:        Library implementing the infinote protocol
Group:          System/Libraries
License:        LGPLv2+
URL:            http://gobby.0x539.de/trac/wiki/Infinote/Libinfinity
Source0:        http://releases.0x539.de/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(avahi-gobject)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libgsasl)
BuildRequires:  gtk-doc
BuildRequires:  pam-devel


%description
libinfinity is an implementation of the Infinote protocol written in
GObject-based C. 


#--------------------------------------------------------------------

%package -n     infinoted
Summary:        Server for the infinote protocol
Group:          System/Servers

%description -n infinoted
Server daemon for the infinote protocol.

%files -n infinoted -f %{name}-%{libversion}.lang
%{_bindir}/infinoted-%{libversion}
%{_libdir}/infinoted-%{libversion}/note-plugins/libinfd-note-plugin-text.so
%{_mandir}/man1/infinoted-0.5.1*
%{_datadir}/icons/hicolor/*/apps/infinote.*

#--------------------------------------------------------------------

%define libinfinity_major 0
%define libinfinity %mklibname infinity %{libversion} %{libinfinity_major}

%package -n %{libinfinity}
Summary: Library providing gtk bindings for %{name}
Group:   System/Libraries

%description   -n %{libinfinity}
This package provides the gtk bindings for %{name}

%files -n %{libinfinity}
%{_libdir}/libinfinity-%{libversion}.so.%{libinfinity_major}*

#--------------------------------------------------------------------

%define libinftext_major 0
%define libinftext %mklibname inftext %{libversion} %{libinftext_major}

%package -n %{libinftext}
Summary: Library providing gtk bindings for %{name}
Group:   System/Libraries

%description   -n %{libinftext}
This package provides the gtk bindings for %{name}

%files -n %{libinftext}
%{_libdir}/libinftext-%{libversion}.so.%{libinftext_major}*


#--------------------------------------------------------------------

%define libinfgtk_major 0
%define libinfgtk %mklibname inftgtk %{libversion} %{libinfgtk_major}

%package -n %{libinfgtk}
Summary: Library providing gtk bindings for %{name}
Group:   System/Libraries

%description  -n %{libinfgtk}
This package provides the gtk bindings for %{name}

%files -n %{libinfgtk}
%{_libdir}/libinfgtk-%{libversion}.so.%{libinfgtk_major}*

#--------------------------------------------------------------------

%define libinftextgtk_major 0
%define libinftextgtk %mklibname inftextgtk %{libversion} %{libinftextgtk_major}

%package -n %{libinftextgtk}
Summary: Library providing gtk bindings for %{name}
Group:   System/Libraries

%description   -n %{libinftextgtk}
This package provides the gtk bindings for %{name}

%files -n %{libinftextgtk}
%{_libdir}/libinftextgtk-%{libversion}.so.%{libinftextgtk_major}*

#--------------------------------------------------------------------

%define libinfinity_devel %mklibname -d infinity

%package -n %{libinfinity_devel}
Summary: Devel files for %libinfinity
Group: Development/C
Requires: %{libinfinity} = %{version}-%{release}

%description -n %{libinfinity_devel}
This package provides the devel files for libinfinity

%files -n %{libinfinity_devel}
%{_includedir}/libinfinity-%{libversion}/
%{_libdir}/libinfinity-%{libversion}.so
%{_libdir}/pkgconfig/libinfinity-%{libversion}.pc
%{_datadir}/gtk-doc/html/libinfinity-%{libversion}/

#--------------------------------------------------------------------

%define libinftext_devel %mklibname -d inftext

%package -n %{libinftext_devel}
Summary: Devel files for %libinftext
Group: Development/C
Requires: %{libinftext} = %{version}-%{release}

%description -n %{libinftext_devel}
This package provides the devel files for libinftext

%files -n %{libinftext_devel}
%{_includedir}/libinftext-%{libversion}/
%{_libdir}/libinftext-%{libversion}.so
%{_libdir}/pkgconfig/libinftext-%{libversion}.pc
%{_datadir}/gtk-doc/html/libinftext-%{libversion}/

#--------------------------------------------------------------------

%define libinfgtk_devel %mklibname -d inftgtk

%package -n %{libinfgtk_devel}
Summary: Devel files for %libinfgtk
Group: Development/GNOME and GTK+
Requires: %{libinfgtk} = %{version}-%{release}

%description -n %{libinfgtk_devel}
This package provides the devel files for libinfgtk

%files -n %{libinfgtk_devel}
%{_includedir}/libinfgtk-%{libversion}/
%{_libdir}/libinfgtk-%{libversion}.so
%{_libdir}/pkgconfig/libinfgtk-%{libversion}.pc
%{_datadir}/gtk-doc/html/libinfgtk-%{libversion}/

#--------------------------------------------------------------------

%define libinftextgtk_devel %mklibname -d inftextgtk

%package -n %{libinftextgtk_devel}
Summary: Devel files for %libinftextgtk
Group: Development/GNOME and GTK+
Requires: %{libinftextgtk} = %{version}-%{release}

%description -n %{libinftextgtk_devel}
This package provides the devel files for libinftextgtk

%files -n %{libinftextgtk_devel}
%{_includedir}/libinftextgtk-%{libversion}/
%{_libdir}/libinftextgtk-%{libversion}.so
%{_libdir}/pkgconfig/libinftextgtk-%{libversion}.pc
%{_datadir}/gtk-doc/html/libinftextgtk-%{libversion}/

#--------------------------------------------------------------------

%prep
%setup -q


%build
%configure2_5x --with-gtk3
%make 


%install
%makeinstall 
%find_lang %{name}-%{libversion}
find %{buildroot} -name '*.la' -exec rm -f {} ';'
find %{buildroot} -name '*.a' -exec rm -f {} ';'



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.5.4-2.mga4
+ Revision: 535041
- Mageia 4 Mass Rebuild

* Tue Sep 17 2013 mikala <mikala> 0.5.4-1.mga4
+ Revision: 480702
- Add missing configure switch
- remove .la & .a files
- imported package libinfinity

